### File

`packages/eui-dynamic-forms-ui/src/lib/components/control-field/number-input/number-input.component.ts`

### Extends

`BaseControlComponent`

### Implements

`OnInit` `AfterContentInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `ux-dyn-number-input`
styleUrls | `./number-input.component.scss`
templateUrl | `./number-input.component.html`

### Index

###### Properties
hidden inputs label options value controlName dynFormControl Optional formMultiStore formService Optional formState Optional childrenConfig context Optional dynFormApi Optional fieldId Optional frameId Optional genericService Optional globalStore isEditMode Optional parent Optional parentData Optional setId Optional childrenConfig context Optional dynFormApi Optional fieldId Optional frameId Optional genericService Optional globalStore isEditMode Optional parent Optional parentData Optional setId
###### Methods
getDynFormApi getFieldData saveFieldData getDynFormApi getFieldData saveFieldData

### Constructor

`constructor(config, cdRef: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
config |  | No
cdRef | `ChangeDetectorRef` | No

### Methods

getDynFormApi
`getDynFormApi()`
Returns : `any`

getFieldData
`getFieldData(key: string)`
Parameters :
Name | Type | Optional
key | `string` | No
Returns : `Observable<any>`

saveFieldData
`saveFieldData(key: string, val: any)`
Parameters :
Name | Type | Optional
key | `string` | No
val | `any` | No
Returns : `void`

getDynFormApi
`getDynFormApi()`
Returns : `any`

getFieldData
`getFieldData(key: string)`
Parameters :
Name | Type | Optional
key | `string` | No
Returns : `Observable<any>`

saveFieldData
`saveFieldData(key: string, val: any)`
Parameters :
Name | Type | Optional
key | `string` | No
val | `any` | No
Returns : `void`

### Properties

hidden
Type : `boolean`

inputs
Type : `NumberInputComponentInputs`

label
Type : `string`

options
Type : `literal type`

value
Type : `any`

controlName
Type : `string`

dynFormControl
Type : `FormControl`

Optional formMultiStore
Type : `IsolatedMultiReduxHelper`

formService
Type : `FormService`

Optional formState
Type : `Observable<FormState>`

Optional childrenConfig
Type : `UxDynFormModelArray`

context
Type : `FieldContext`

Optional dynFormApi
Type : `DynFormApi`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

isEditMode
Type : `boolean`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

Optional childrenConfig
Type : `UxDynFormModelArray`

context
Type : `FieldContext`

Optional dynFormApi
Type : `DynFormApi`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

isEditMode
Type : `boolean`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

# result-matching ""

# No results matching ""